# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils flag-o-matic toolchain-funcs

RESTRICT="strip"

DESCRIPTION="IRTrans Server"
HOMEPAGE="http://www.irtrans.de"
SRC_URI="http://ftp.mars.arge.at/irtrans/irclient-src-${PV}.tar.gz"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~x86 ~amd64 ~arm"
IUSE=""

DEPEND="virtual/libc"

src_unpack() {
	unpack ${A}
	cd "${WORKDIR}"

	epatch "${FILESDIR}/${PN}"-5.11.04-ip_assign-1.patch
}

src_compile() {

	append-flags -DLINUX

	# Set sane defaults (arm target has no -D flags added)
	irbuild=irclient_arm
	irclient=irclient
	ipbuild=ip_assign_arm
	ip_assign=ip_assign

	# change variable by need
	if use x86 ; then
		irbuild=irclient
		ipbuild=ip_assign
	elif use amd64 ; then
		irbuild=irclient64
		irclient=irclient64
		ipbuild=ip_assign64
		ip_assign=ip_assign64
	fi

	# Some output for bugreport
	einfo "CFLAGS=\"${CFLAGS}\""
	einfo "Build client Target=\"${irbuild}\""
	einfo "Build client Binary=\"${irclient}\""
	einfo "Build ip_assign Target=\"${ipbuild}\""
	einfo "Build ip_assign Binary=\"${ip_assign}\""

	# Build
	emake CXX="$(tc-getCXX)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" "${irbuild}" || die "emake irclient failed"
	emake CXX="$(tc-getCXX)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" "${ipbuild}" || die "emake ip_assign failed"
}

src_install() {

	newbin "${WORKDIR}/${irclient}" irclient
	newbin "${WORKDIR}/${ip_assign}" ip_assign
}
