# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils toolchain-funcs multilib

DESCRIPTION="cc65 is a complete cross development package for 65(C)02 systems."
HOMEPAGE="http://www.cc65.org"
SRC_URI="ftp://ftp.musoftware.de/pub/uz/cc65/snapshot/cc65-snapshot-sources-${PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="doc"

DEPEND="dev-libs/boehm-gc
	app-text/linuxdoc-tools"

S=${WORKDIR}/${PN}-snapshot-${PV}

MAKEOPTS="${MAKEOPTS} -j1"

src_unpack() {
	unpack ${A}
	cd ${S}
	sed -i -e "s:od65:od65 sim65:g" src/make/gcc.mak
	sed -i -e "s:)/lib:)/$(get_libdir):g" make/gcc.mak
	sed -i -e "s:/lib/cc65/inc:/$(get_libdir)/cc65/inc:g" src/cc65/make/gcc.mak
	sed -i -e "s:/lib/cc65/lib:/$(get_libdir)/cc65/lib:g" src/ld65/make/gcc.mak
	sed -i -e "s:/lib/cc65/lib:/$(get_libdir)/cc65/lib:g" doc/ld65.sgml
}

src_compile() {
	emake -C src -f make/gcc.mak CC="$(tc-getCC)" AR="$(tc-getAR)"
	emake -C libsrc
	emake -C doc
}

src_install() {
	dobin src/*65/*65
	dobin src/ca65html/ca65html
	dobin src/grc/grc
	insinto /usr/$(get_libdir)/cc65/emd
	doins libsrc/*.emd
	insinto /usr/$(get_libdir)/cc65/joy
	doins libsrc/*.joy
	insinto /usr/$(get_libdir)/cc65/mou
	doins libsrc/*.mou
	insinto /usr/$(get_libdir)/cc65/ser
	doins libsrc/*.ser
	insinto /usr/$(get_libdir)/cc65/tgi
	doins libsrc/*.tgi
	insinto /usr/$(get_libdir)/cc65/asminc
	doins asminc/*.inc
	insinto /usr/$(get_libdir)/cc65/include
	doins -r include/*
	insinto /usr/$(get_libdir)/cc65/lib
	doins libsrc/*.lib
	doins libsrc/*.o
	use doc && dohtml doc/*.htm*
	doman packages/debian/*.1
	doinfo doc/*.info
	dodoc src/ld65/cfg/*.cfg
	dodoc src/ca65/macpack/*.mac
}
